--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: instantiate a new Message
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "bot:"
    body: associated bot class
  - !ruby/struct:SM::Flow::LI 
    label: "server:"
    body: Server where the message took place
  - !ruby/struct:SM::Flow::LI 
    label: "source:"
    body: User that sent the message
  - !ruby/struct:SM::Flow::LI 
    label: "target:"
    body: User/Channel is destined for
  - !ruby/struct:SM::Flow::LI 
    label: "message:"
    body: actual message
  type: :NOTE
full_name: Irc::BasicUserMessage::new
is_singleton: true
name: new
params: (bot, server, source, target, message)
visibility: public
